using data.Repository;
using domain.Request;
using domain.UseCase;

namespace domain.Service
{
    public class AdminService : IAdminUseCase
    {
        private readonly IAdminRepository _adminRepository;

        public AdminService(IAdminRepository adminRepository)
        {
            _adminRepository = adminRepository;
        }

        public void AddStudentsToGroup(int groupId, AddStudentsToGroupRequest request)
        {
            _adminRepository.AddStudentsToGroup(groupId, request.Students);
        }

        public void AddSubjectsToGroup(int groupId, AddSubjectsToGroupRequest request)
        {
            _adminRepository.AddSubjectsToGroup(groupId, request.Subjects);
        }
    }
}
